%define major_version	2
%define minor_version	0
%define revision	7

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps
Version:	%{major_version}.%{minor_version}.%{revision}
Release: 	6mdk
Copyright:	GPL
Group:		Monitoring
BuildRequires: gpm-devel, ncurses-devel

Source:		ftp://metalab.unc.edu/pub/Linux/system/status/ps/procps-%{version}.tar.bz2
Patch0:		procps-2.0.6-sysctlshutup.patch.bz2
Patch1:		procps-2.0.7-makefile.patch.bz2
Patch2:		procps-2.0.7-top.patch.bz2

BuildRoot:	%{_tmppath}/procps-root
Provides:	libproc.so.%{major_version}.%{minor_version}

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w and watch.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes. 
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.

%package X11
Group:		Monitoring
Summary:	An X based system message monitoring utility

%description X11
The procps-X11 package contains X Window System utilities for monitoring your
system. The utilities contained in this package generally provide graphical
representations of the information provided by the tools in the procps package.

You can install the procps-X11 package if you'd like to use a graphical system
monitoring utility.

%package devel
Group:		Development/C
Summary:	An X based system message monitoring utility
Requires:	%name = %version

%description devel
Developement headers and library for the proc library.

%prep

%setup
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/lib $RPM_BUILD_ROOT/usr/X11R6/bin

make MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

pushd $RPM_BUILD_ROOT/lib && {
ln -sf libproc.so.%{version} libproc.so
ln -sf libproc.so.%{version} libproc.so.%{major_version}.%{minor_version}
} && popd

rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/kill.1*

mkdir -p $RPM_BUILD_ROOT/usr/include/procps
install -m 644 proc/*.h $RPM_BUILD_ROOT/usr/include/procps

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
# remove obsolete files
rm -f /etc/psdevtab /etc/psdatabase

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.*
%attr(755,root,root) /bin/ps
%attr(755,root,root) /sbin/sysctl
%attr(755,root,root) /usr/bin/uptime
%attr(755,root,root) /usr/bin/tload
%attr(755,root,root) /usr/bin/free
%attr(755,root,root) /usr/bin/w
%attr(755,root,root) /usr/bin/top
%attr(755,root,root) /usr/bin/vmstat
%attr(755,root,root) /usr/bin/watch
%attr(755,root,root) /usr/bin/skill
%attr(755,root,root) /usr/bin/snice
%attr(755,root,root) /usr/bin/pgrep
%attr(755,root,root) /usr/bin/pkill

%attr(0644,root,root) %{_mandir}/man1/free.1.bz2
%attr(0644,root,root) %{_mandir}/man1/ps.1.bz2
%attr(0644,root,root) %{_mandir}/man1/skill.1.bz2
%attr(0644,root,root) %{_mandir}/man1/snice.1.bz2
%attr(0644,root,root) %{_mandir}/man1/tload.1.bz2
%attr(0644,root,root) %{_mandir}/man1/top.1.bz2
%attr(0644,root,root) %{_mandir}/man1/uptime.1.bz2
%attr(0644,root,root) %{_mandir}/man1/w.1.bz2
%attr(0644,root,root) %{_mandir}/man1/watch.1.bz2
%attr(0644,root,root) %{_mandir}/man1/pgrep.1.bz2
%attr(0644,root,root) %{_mandir}/man1/pkill.1.bz2

%attr(0644,root,root) %{_mandir}/man5/sysctl.conf.5.bz2

%attr(0644,root,root) %{_mandir}/man8/vmstat.8.bz2
%attr(0644,root,root) %{_mandir}/man8/sysctl.8.bz2

%files X11
%attr(0755,root,root) /usr/X11R6/bin/XConsole

%files devel
%defattr(-,root,root)
/usr/include/procps/*
/lib/libproc.so

%changelog
* Tue Sep 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.7-6mdk
- Added a patch for the bug when locale aren't set to 'en' and top kill
  terminal.
- bzip all patch.

* Wed Aug  9 2000 Alexandre Dussart <adussart@mandrakesoft.com> 2.0.7-5mdk
- Headers go to /usr/include/procps now.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-3mdk
- Remove kill manpage to avoid conflicts with util-linux.

* Fri Jul 21 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0.7-2mdk
- Human readble description
- Use %%{_tmppath} for BuildRoot

* Fri Jul 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.7-1mdk
- updated.
- removed not needed anymore patch : 
	- procps-proto-fix.patch.bz2 
	- procps-2.0.6-sysmap.patch.bz2
	- procps-2.0.6-include.patch.bz2
	- procps-2.0.6-Makefile.patch.bz2
- added patch procps-2.0.7-makefile.patch
- install new manpages / binary.
- create man5 directory.
- pass mandir as a make argument.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-13mdk
- added devel package.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> %{major_version}.%{minor_version}.%{revision}-13mdk
- added 

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> %version-12mdk
- fix postin / postun.
- .so in devel package

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.6-11mdk
- Added a patch to fix an include compile time problem with new glibc.
- Fix group.
- Url wasn't pointing to the main procps site.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-9mdk
- Fix sysctly_shut_your_mouth patch.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-8mdk
- By default shut up the mouth of sysctl (and add the -v option to verbose it).

* Sat Mar 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-7mdk
- Add /sbin/sysctl in %files.

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed a wrong function prototype which made sparc's ps try to divide by zero

* Mon Jan 3 2000 Florent Villard <warly@mandrakesoft.com> 2.0.6-5mdk
- fix libproc.so problem

* Fri Dec 31 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-4mdk
- add link /lib/libproc.so to /lib/libproc.so.2.0.6

* Thu Dec 30 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-3mdk
- correct path permissions

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Provides: libproc.so.2.0

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5.
- include more manpages.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc (it was only availlable to root)

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/ prereq dev

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- FIx small bug with the /usr/X11R6/bin/

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- bzip2 man pages
- update to 2.0.2
- add de locale
- Mandrake adaptions
